routes/web.php
<?php

use App\Http\Controllers\CategoryController;
use App\Http\Controllers\ProductController;
use App\Http\Controllers\UserController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Auth::routes();

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');

Route::prefix('admin')->group(function () {
    Route::get('/', function () {
        return view('admin.home');
    })->name('admin_home');
    Route::resource('products', ProductController::class);
    Route::resource('categories', CategoryController::class);
    Route::resource('users', UserController::class);
});

app/Models/Category.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Category extends Model
{
    use HasFactory;

    protected $fillable = [
        'name',
        'category_status',
    ];

    public function products()
    {
        return $this->belongsToMany(Product::class, 'products_categories');
    }
}

app/Http/Controllers/CategoryController.php
<?php

namespace App\Http\Controllers;

use App\Http\Requests\CategoryRequest;
use App\Models\Category;

class CategoryController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        $categories = Category::with('products')->paginate(5);

        return view('admin.category.index', ['categories' => $categories]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
        return view('admin.category.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(CategoryRequest $request)
    {
        $category = new Category();
        $category->fill($request->all());
        $category->save();
        $category ? session()->flash('message', 'Create successfully !')
            : session()->flash('message', 'Create Failed !');

        return view('admin.category.create');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
        $category = Category::find($id);

        return view('admin.category.edit', ['category' => $category]);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(CategoryRequest $request, $id)
    {
        //
        $category = Category::find($id)->update([
            'name' => $request->name,
            'category_status' => $request->category_status,
        ]);
        $category ? session()->flash('message', 'Update successfully !')
            : session()->flash('message', 'Update Failed !');

        return redirect('admin/categories');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $category = Category::findOrFail($id)->delete();
        $category ? session()->flash('message', 'Delete successfully !')
            : session()->flash('message', 'Delete Failed !');

        return redirect('admin/categories');
    }
}

resources/views/admin/category/create.blade.php
@extends('admin.home')
@section('content')

<div class="col-md-12">
  <div class="card mb-4">
    <h5 class="card-header">Create Category</h5>
    @if (Session::has('message'))
    <div class="alert alert-primary m-3">{{ Session::get('message') }}</div>
    @endif
    @if ($errors->any())
    <div class="alert alert-danger m-6">
      <ul class="list-unstyled">
        @foreach ($errors->all() as $error)
        <li>{{ $error }}</li>
        @endforeach
      </ul>
    </div>
    @endif
    <div class="card-body">
      <form action="{{route('categories.store')}}" method="post">
        @csrf
        <div class="mb-3">
          <label for="defaultInput" class="form-label">Name</label>
          <input id="defaultInput" class="form-control" type="text" placeholder="Name ..." name="name" />
        </div>
        <div class="mb-3">
          <label for="defaultInput" class="form-label">Status</label>
          <select id="defaultSelect" class="form-select" name="category_status">
            <option value="active">Active</option>
            <option value="inactive">Inactive</option>
          </select>
        </div>
        <button class="btn btn-primary" type="submit">Create</button>
      </form>
    </div>
  </div>
</div>
@endsection

resources/views/admin/category/edit.blade.php
@extends('admin.home')
@section('content')

<div class="col-md-12">
  <div class="card mb-4">
    <h5 class="card-header">Update Category: {{$category->name}}</h5>
    @if (Session::has('message'))
    <div class="alert alert-primary m-3">{{ Session::get('message') }}</div>
    @endif
    <div class="card-body">
      <form action="{{route('categories.update', $category->id)}}" method="post">
        @csrf
        @method('put')
        <div class="mb-3">
          <label for="defaultInput" class="form-label">Name</label>
          <input id="defaultInput" class="form-control" type="text" placeholder="Name ..."
            value="{{$category->name}}" name="name" />
        </div>
        <div class="mb-3">
          <label for="defaultInput" class="form-label">Status</label>
          <select id="defaultSelect" class="form-select" value="{{$category->category_status}}" name="category_status">
            <option value="active">Active</option>
            <option value="inactive">Inactive</option>
          </select>
        </div>
        <button class="btn btn-primary" type="submit">Update</button>
      </form>
    </div>
  </div>
</div>
@endsection

resources/views/admin/category/index.blade.php
@extends('admin.home')
@section('content')
<!-- Basic Bootstrap Table -->
<div class="card">
  <h5 class="card-header">Categories</h5>
  @if (Session::has('message'))
  <div class="alert alert-primary m-3">{{ Session::get('message') }}</div>
  @endif
  <div class="table-responsive">
    <table class="table">
      <thead>
        <tr>
          <th>Name</th>
          <th>Status</th>
          <th>Actions</th>
        </tr>
      </thead>
      <tbody class="table-border-bottom-0">
        @foreach ($categories as $category)
        <tr>
          <td><i class="fab fa-angular fa-lg text-danger me-3"></i> <strong>{{ $category->name}}</strong></td>
          <td>{{ $category->category_status}}</td>

          <td>
            <div style="display: flex; justify-content: center;">
              <a href="{{ route('categories.show', $category->id) }}">
                <div class="btn btn-info">Edit</div>
              </a>
              <form method="post" action="{{ route('categories.destroy', $category->id) }}">
                @method('delete')
                @csrf
                @if ($category->products == '[]')
                <button onclick="return confirm('Are you sure?')" type="submit" class="btn btn-danger">Delete</button>
                @endif
              </form>
            </div>
          </td>
        </tr>
        @endforeach
      </tbody>
    </table>
    {!! $categories->withQueryString()->links('pagination::bootstrap-5') !!}
  </div>
</div>
<!--/ Basic Bootstrap Table -->
@endsection
<style>
  tr>th,
  td {
    text-align: center;
  }
</style>